{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "IEF",
    "SSS",
    "IEF"
  ],
  "key": {
    "I": {
      "item": "pipez:item_pipe"
    },
    "E": {
      "item": "pipez:energy_pipe"
    },
    "F": {
      "item": "pipez:fluid_pipe"
    },
    "S": {
      "item": "minecraft:string"
    }
  },
  "result": {
    "item": "pipez:universal_pipe",
    "count": 6
  }
}